import request from '@/utils/request'

// 创建用户图片管理
export function createDesignPicUser(data) {
  return request({
    url: '/manager/design-pic-user/create',
    method: 'post',
    data: data
  })
}

// 更新用户图片管理
export function updateDesignPicUser(data) {
  return request({
    url: '/manager/design-pic-user/update',
    method: 'put',
    data: data
  })
}

// 删除用户图片管理
export function deleteDesignPicUser(id) {
  return request({
    url: '/manager/design-pic-user/delete?id=' + id,
    method: 'delete'
  })
}

// 获得用户图片管理
export function getDesignPicUser(id) {
  return request({
    url: '/manager/design-pic-user/get?id=' + id,
    method: 'get'
  })
}

// 获得用户图片管理分页
export function getDesignPicUserPage(params) {
  return request({
    url: '/manager/design-pic-user/page',
    method: 'get',
    params
  })
}
// 导出用户图片管理 Excel
export function exportDesignPicUserExcel(params) {
  return request({
    url: '/manager/design-pic-user/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}